package de.swingbe.mvn_base;

import org.apache.commons.configuration2.Configuration;
import org.apache.commons.configuration2.builder.fluent.Configurations;
import org.apache.commons.configuration2.ex.ConfigurationException;

import java.io.File;

public class Main {

    public static void main(String[] args) {
        System.out.println("Hello world!");
        Configurations configs = new Configurations();
        try {
            Configuration config = configs.properties(new File("database.properties"));

            // access configuration properties
            System.out.println("Access configuration properties!");

            String dbHost = config.getString("database.host", "host");
            System.out.println("dbHost: " + dbHost);

            String falsePositive = config.getString("falsePositive", "falsePositive");
            System.out.println("falsePositive: " + falsePositive);

            int dbPort = config.getInt("database.port", 65535);
            System.out.println("dbPort: " + dbPort);

            String dbUser = config.getString("database.user", "user");
            System.out.println("dbUser: " + dbUser);

            String dbPassword = config.getString("database.password", "secret");  // provide a default
            System.out.println("dbPassword: " + dbPassword);

            long dbTimeout = config.getLong("database.timeout");
            System.out.println("dbTimeout: " + dbTimeout);
        } catch (ConfigurationException cex) {
            System.err.println("Something went wrong!");
        }
        return;
    }
}
